package com.ccnode.codegenerator.m.b;

package .tmp;

import com.ccnode.codegenerator.m.b.b;
import com.ccnode.codegenerator.myconfigurable.IntellijDatabaseUserNameAndPassword;
import com.ccnode.codegenerator.myconfigurable.NewDatabaseInfo;
import com.ccnode.codegenerator.myconfigurable.TestConfiguration;
import com.ccnode.codegenerator.view.d.j;
import com.ccnode.codegenerator.view.e.e;
import com.google.common.collect.Lists;
import com.intellij.database.model.RawConnectionConfig;
import com.intellij.database.psi.DbDataSource;
import com.intellij.database.psi.DbPsiFacade;
import com.intellij.openapi.project.Project;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import org.apache.commons.lang.StringUtils;

public class d implements b {
  public List<TestConfiguration> a(Project paramProject) {
    List list = DbPsiFacade.getInstance(paramProject).getDataSources();
    ArrayList<?> arrayList = Lists.newArrayList();
    for (DbDataSource dbDataSource : list) {
      if (StringUtils.isNotBlank(dbDataSource.getName())) {
        TestConfiguration testConfiguration = a(dbDataSource, paramProject);
        if (testConfiguration != null)
          arrayList.add(testConfiguration); 
      } 
    } 
    return (List)arrayList;
  }
  
  private TestConfiguration a(DbDataSource paramDbDataSource, Project paramProject) {
    RawConnectionConfig rawConnectionConfig = paramDbDataSource.getConnectionConfig();
    if (rawConnectionConfig == null)
      return null; 
    String str1 = rawConnectionConfig.getUrl();
    String str2 = rawConnectionConfig.getDriverClass();
    NewDatabaseInfo newDatabaseInfo = new NewDatabaseInfo();
    newDatabaseInfo.setUrl(str1);
    newDatabaseInfo.setDatabase(paramDbDataSource.getName());
    newDatabaseInfo.setDatabaseType(j.a(rawConnectionConfig.getUrl()));
    Map map = e.a(paramProject).a().getIntellijDatabaseUserNameAndPasswordMap();
    IntellijDatabaseUserNameAndPassword intellijDatabaseUserNameAndPassword = (IntellijDatabaseUserNameAndPassword)map.get(str1);
    if (intellijDatabaseUserNameAndPassword != null) {
      newDatabaseInfo.setPassword(intellijDatabaseUserNameAndPassword.getPassword());
      newDatabaseInfo.setUserName(intellijDatabaseUserNameAndPassword.getUserName());
    } else {
      newDatabaseInfo.setUserName("");
      newDatabaseInfo.setPassword("");
    } 
    return new TestConfiguration(str1, newDatabaseInfo.getUserName(), newDatabaseInfo.getPassword(), Boolean.valueOf(true), str2, "intellijDatabase", Integer.valueOf(2));
  }
}
